summaryrefslogtreecommitdiff
path: root/test_asm.sh
diff options
context:
space:
mode:
authorMaxime Chevalier-Boisvert <maximechevalierb@gmail.com>2021-04-22 18:24:45 -0400
committerAlan Wu <XrXr@users.noreply.github.com>2021-10-20 18:19:34 -0400
commiteaf039af982b19a854ad705cd441144ae648b791 (patch)
tree9fb233a2cc3d3b730f77d6d7755f4e8465aa637b /test_asm.sh
parentf1b11fa454551403ca74362329d6a0843363fce5 (diff)
Create GitHub workflow to run ASM tests (#8)
* Create GitHub workflow to run ASM tests * Specify path * Attempt #3 * Set bash flags to print commands, stop on first error * Remove clear command from test_asm.sh * Use clang
Diffstat (limited to 'test_asm.sh')
-rwxr-xr-xtest_asm.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/test_asm.sh b/test_asm.sh
index e7f6ce9761..d6493fbdff 100755
--- a/test_asm.sh
+++ b/test_asm.sh
@@ -1,7 +1,5 @@
-# NOTE: I did not know what would be the sensible way to compile
-# and run these tests from the Ruby makefile
-
-clear
+set -e
+set -x
clang -std=gnu99 -Wall -Werror -Wshorten-64-to-32 yjit_asm.c yjit_asm_tests.c -o asm_test